---
title: VRPose.orientation
slug: Web/API/VRPose/orientation
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Orientation
  - Property
  - Reference
  - Référence(2)
  - VR
  - VRPose
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>orientation</code></strong> read-only property of the {{domxref("VRPositionState")}} interface returns the orientation of the sensor at the current {{domxref("VRPose.timestamp")}}, as a quarternion value.</p>

<p>The value is a {{domxref("Float32Array")}}, made up of the following values:</p>

<ul>
 <li>pitch — rotation around the X axis.</li>
 <li>yaw — rotation around the Y axis.</li>
 <li>roll — rotation around the Z axis.</li>
 <li>w — the fourth dimension (usually 1).</li>
</ul>

<p>The orientation yaw (rotation around the y axis) is relative to the initial yaw of the sensor when it was first read or the yaw of the sensor at the point that {{domxref("VRDisplay.resetPose()")}} was last called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myOrientation = VRPose.orientation;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Float32Array")}}, or <code>null</code> if the VR sensor is not able to provide orientation data.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplay/getFrameData", "Examples")}}</p>

<div class="note">
<p><strong>Note</strong>: An orientation of <code>{ x: 0, y: 0, z: 0, w: 1 }</code> is considered to be "forward".</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrpose-orientation', 'orientation')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRPose.orientation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
